
Auto Multiple Choice - Bug # 225: Error in processing a valid AMC latex source file after cancelling the 
Update documents operation

Status: Closed Priority: Normal
Author: Anirvan Sarkar Category:
Description: Steps to reproduce this problem:

# Create a new AMC project using any valid AMC latex source file. (You may use the attached file).
# Set *Number of papers* to some value(say 5) and click on *Update documents*.
# After documents have been prepared, set *Number of papers* to some large value(say 500) and click on 
*Update documents*.
# Before documents have been processed click on *Cancel* near the progress bar.
# Now set the *Number of papers* to some other value than which was set in step 3(say 15) and click on 
*Update documents*.

AMC will now show a dialog box with the message: _Errors while processing the source file. You have to 
correct the source file and re-run documents update. See the processing log in 'Command output details' 
below. Use LaTeX editor or latex command for a precise diagnosis._

Things to note:

* After step 4 you will notice that even when you have clicked on cancel all the @amc-compiled.*@ files in the 
project directory gets +updated continuously+ especially the @amc-compiled.log@ file and 
@amc-compiled.pdf@ file whose +size increases continuously+.

* AMC will update the documents successfully if:
# All the amc-compiled.* files are deleted from the project directory or
# You wait for some time. For some reason if you wait for some time and then click on *Update documents*, 
AMC will successfully process the files.

* The *Catalog* button is not disabled along with the *Question* and *Solution* button.

* A _Documents have been prepared notification_ is shown(if enabled in the preferences) after cancelling the 
*Update documents* operation. It will be more meaningful if it is changed to _Document processing has been 
cancelled_ or something similar or not shown at all.

I have attached the log file generated after following these steps.

History
10/16/2013 03:00 pm - Pieter  Van den Hombergh
It might have to do with the fact that AMC starts multiple child processes to process the two or three latex variants.

If that is the case, then on cancel all latex sub-processes should be killed, not just one.

10/17/2013 12:04 am - Alexis Bienvenüe
- Status changed from New to Feedback

The underlying latex process was not killed. Please try revision r1482 that should behave in a better way.
06/20/2014 07:13 pm - Anirvan Sarkar
- Target version set to 1.3.0

- % Done changed from 0 to 100

- Assignee set to Alexis Bienvenüe

- Status changed from Feedback to Resolved

AMC now properly updates the documents without any errors.

08/19/2014 06:01 am - Anirvan Sarkar
- Status changed from Resolved to Closed

Files
source.tex 1.3 kB 10/09/2013 Anirvan Sarkar
AMC-DEBUG-U8bmHRHR.log 60.2 kB 10/09/2013 Anirvan Sarkar
